@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.vsrow {
    display: table-row;
    background-color: white;
    text-align: center;
}

    .vsrow > div {
        display: table-cell;
        padding: 6px 20px;
        border-bottom: 1px solid #dee2e6;
        min-width: 125px;
        max-width: 125px;
        width: 1%;
        height: 40px;
        font-size: 12px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        border-right: 1px solid #dee2e6;
        vertical-align: middle;
    }

        .vsrow > div:first-child {
            border-left: 1px solid #dee2e6;
        }

.bg-danger {
    color: white;
}

    .bg-danger .validation-message {
        color: white;
    }

.validation-message {
    color: red;
}

.autocomplete {
    z-index: auto !important;
}

    .autocomplete input {
        background-color: white !important;
        outline: none;
    }

table td {
    vertical-align: middle;
}    

table tfoot {
    background-color: white !important;
}

    table tfoot .infoRecords {
        float: left;
        margin-top: 3px;
    }

    table tfoot .paginationTable {
        float: right;
    }

        table tfoot .paginationTable button {
            display: inline-block;
            background-color: #45C4C6;
            color: #FFFFFF;
            padding: 2px 7px;
            border: 5px;
            border-radius: 5px;
        }        

.dataTables_selectRecords {
    width: 55px !important;
    height: 24px;
    display: inline-block;
    background-position: right !important;
    padding: 0px 0px 0px 3px;
}

.dataTables_actualPage {
    border-radius: 5px;
    text-align: center;
    width: 50px;
}

.dataTables_info {
    font-size: 0.9em;
    margin-top: 5px;
}

.dataTables_noinfo {
    margin: 10px 0px 10px;
}

.buttonDisabled {
    background-color: lightgray !important;
    cursor: not-allowed;
}

.btnDownloadExcel {
    background-color: #28a745 !important;
    font-size: 0.9em;
    height: 23px;
    vertical-align: initial;
}

.btnChangePassword {
    width: auto;
    margin: auto;
    border: none;
    background-color: transparent;
    color: #287ac8;
    font-size: 16px;
}

.modalHeader {
    padding: 5px !important;
}

.modalIconClose {
    margin: 0px;
    cursor: pointer;
}

.plane {
    width: 30%;
    padding-top: 30px;
}

.dx-blazor-reporting .dxrd-designer-wrapper .dxrd-surface-wrapper .dxrd-surface .dxrd-bands-panel-wrapper .dxrd-bands-panel .dxrd-band-headers .dxrd-band-marker-wrapper .dxrd-band-marker {
    z-index: 0 !important;
}

.tool_icono_min {
    background-repeat: no-repeat;
    width: 25px;
    display: inline-block;
    background-size: 18px auto !important;
    vertical-align: middle;
    background-position: center;
    -webkit-mask-size: contain !important;
    mask-size: contain;
}

.tool_EntityInformation {
    -webkit-mask: url("../images/info_entity.svg") no-repeat 50% 50%;
    mask: url("../images/info_entity.svg") no-repeat 50% 50%;
    background-color: black;
    height: 20px;
}

.colPainted {
    line-height: 200%;
    height: 100%;
    display: inline-block;
    width: 100%;
    vertical-align: middle;
    overflow: hidden;
    text-overflow: ellipsis;
}

.tSortSpan {
    line-height: 200%;
}

@media (max-width: 1200px) {
    table button {
        font-size: 12px !important;
    }
}

@media (max-width: 575px) {
    table .nav-link {
        padding: 0px;
        display: initial;
    }
}

@media (max-width: 321px) {
    .dataTables_info {
        font-size: 0.65em;
        margin-bottom: 10px;
    }
}